build failure in mtce-guest

Bug #1804579 reported by Lin Shuicheng on 2018-11-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
StarlingX
Critical
Eric MacDonald

Bug Description

Brief Description
-----------------
Build is broken with latest code, fail at mtce-guest package in stx-nfv.
It should be caused by below patch:
https://review.openstack.org/617835

Severity
--------
Critical

Steps to Reproduce
------------------
1. Sync latest code.
2. build-pkgs --clean
3. build-pkgs

Expected Behavior
------------------
Build should be success.

Actual Behavior
----------------
13:17:37 Failed to build packages: mtce-guest-1.0-139.tis.src.rpm

######## Thu Nov 22 13:17:37 UTC 2018: build-rpm-parallel --std failed with rc=1

Thu Nov 22 13:17:37 UTC 2018: build-rpm-parallel --std failed with rc=1

Reproducibility
---------------
100%

System Configuration
--------------------
N/A

Branch/Pull Time/Commit
-----------------------
master as of 2018-11-22

Timestamp/Logs
--------------
Attached

Lin Shuicheng (shuicheng) wrote :
Ghada Khalil (gkhalil) on 2018-11-22
Changed in starlingx:
assignee: nobody → Eric MacDonald (rocksolidmtce)
importance: Undecided → Critical
status: New → Triaged
tags: added: stx.metal
tags: added: stx.2019.03
Ghada Khalil (gkhalil) on 2018-11-22
description: updated
description: updated

Reviewed: https://review.openstack.org/619599
Committed: https://git.openstack.org/cgit/openstack/stx-metal/commit/?id=dc531dc8151ac68b1eaa93bfd04258c02305478d
Submitter: Zuul
Branch: master

commit dc531dc8151ac68b1eaa93bfd04258c02305478d
Author: Eric MacDonald <email address hidden>
Date: Thu Nov 22 10:25:55 2018 -0500

    Fix mtce guest build failure

    A recent update to stx-metal/mtce-common removed a daemon_config
    structure member that the stx-nfv/mtce-guest git depends on.
    This was not detected during UT of the mtc-common change because
    of a missing build dependency that should force a rebuild of the
    mtce guest.

    Delivering the code fix to unblock the community.
    Will deliver the build dependency change shortly.

    Change-Id: Ice08424f156ffc84e38651fbc40ebc184170eb20
    Closes-Bug: 1804579
    Signed-off-by: Eric MacDonald <email address hidden>

Changed in starlingx:
status: Triaged → Fix Released

Reviewed: https://review.openstack.org/619785
Committed: https://git.openstack.org/cgit/openstack/stx-nfv/commit/?id=b8d8ce676f5f4219cd8da6f044b760eb099ee75d
Submitter: Zuul
Branch: master

commit b8d8ce676f5f4219cd8da6f044b760eb099ee75d
Author: Eric MacDonald <email address hidden>
Date: Fri Nov 23 13:37:20 2018 -0500

    Mtce: Fix guestAgent inventory query

    Maintenance was recently modified to support

     - receiving Ready Events and Command Responses and
     - sending Ready Events, Commands and Inventory

    from/to surrogate daemons over its floating IP rather
    than the LO interface in support of surrogate daemons
    that run on the inactive controller or any hosts in
    the system for that matter.

    Unfortunately the guestAgent was not modified to send
    its Ready Event or Receive commands and inventory in
    the same way.

    This update fixes that by binding its Inventory/Command
    receiver and Ready event transmitter to the active
    controllers floating IP.

    With that change the guestAgent once again gets its
    Inventory/Commands on its process startup as well as
    on the restart of the mtcAgent.

    Change-Id: I0b07596501f45d28ca0d6c82293d0b904a5e39fb
    Closes-Bug: 1804579
    Signed-off-by: Eric MacDonald <email address hidden>

Ken Young (kenyis) on 2019-01-18
tags: added: stx.2019.05
removed: stx.2019.03
Ken Young (kenyis) on 2019-04-05
tags: added: stx.2.0
removed: stx.2019.05
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers